XSAnnotationImpl (Xerces2 Implementation)
Date: 2018-10-17

org.apache.xerces.impl.xs

## Class XSAnnotationImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSAnnotationImpl

- All Implemented Interfaces:
    org.apache.xerces.xs.XSAnnotation, org.apache.xerces.xs.XSObject

      public class XSAnnotationImpl
      extends java.lang.Object
      implements org.apache.xerces.xs.XSAnnotation

  This is an implementation of the XSAnnotation schema component.
  Version:
    $Id: XSAnnotationImpl.java 699892 2008-09-28 21:08:27Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xerces.xs.XSAnnotation

      `SAX_CONTENTHANDLER, W3C_DOM_DOCUMENT, W3C_DOM_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSAnnotationImpl(java.lang.String contents, SchemaGrammar grammar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotationString()` A text representation of annotation.
    `java.lang.String` | `getName()` The name of type `NCName` of this declaration as defined in XML Namespaces.
    `java.lang.String` | `getNamespace()` The [target namespace] of this object, or `null` if it is unspecified.
    `org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
    `short` | `getType()` The `type` of this object, i.e.
    `boolean` | `writeAnnotation(java.lang.Object target, short targetType)` Write contents of the annotation to the specified DOM object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSAnnotationImpl

          public XSAnnotationImpl(java.lang.String contents,
                                  SchemaGrammar grammar)

  - ### Method Detail

    - #### writeAnnotation

          public boolean writeAnnotation(java.lang.Object target,
                                         short targetType)

      Write contents of the annotation to the specified DOM object. If the specified `target` object is a DOM in-scope namespace declarations for `annotation` element are added as attributes nodes of the serialized `annotation`, otherwise the corresponding events for all in-scope namespace declaration are sent via specified document handler.
      Specified by:
        `writeAnnotation` in interface `org.apache.xerces.xs.XSAnnotation`
      Parameters:
        `target` - A target pointer to the annotation target object, i.e. `org.w3c.dom.Document`, `org.xml.sax.ContentHandler`.
        `targetType` - A target type.
      Returns:
        If the `target` is recognized type and supported by this implementation return true, otherwise return false.

    - #### getAnnotationString

          public java.lang.String getAnnotationString()

      A text representation of annotation.
      Specified by:
        `getAnnotationString` in interface `org.apache.xerces.xs.XSAnnotation`

    - #### getType

          public short getType()

      The `type` of this object, i.e. `ELEMENT_DECLARATION`.
      Specified by:
        `getType` in interface `org.apache.xerces.xs.XSObject`

    - #### getName

          public java.lang.String getName()

      The name of type `NCName` of this declaration as defined in XML Namespaces.
      Specified by:
        `getName` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespace

          public java.lang.String getNamespace()

      The [target namespace] of this object, or `null` if it is unspecified.
      Specified by:
        `getNamespace` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespaceItem

          public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

      A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
      Specified by:
        `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.